=== modified file 'lib/lp/code/model/sourcepackagerecipebuild.py'
--- lib/lp/code/model/sourcepackagerecipebuild.py	2012-01-02 11:28:58 +0000
+++ lib/lp/code/model/sourcepackagerecipebuild.py	2012-01-02 17:46:27 +0000
@@ -308,7 +308,7 @@
     def preloadBuildsData(cls, builds):
         # Circular imports.
         from lp.code.model.sourcepackagerecipe import SourcePackageRecipe
-        from canonical.launchpad.database.librarian import LibraryFileAlias
+        from lp.services.librarian.model import LibraryFileAlias
         SourcePackageRecipeBuild.prefetchBuildqueueRecord(builds)
         package_builds = load_related(
             PackageBuild, builds, ['package_build_id'])

=== modified file 'lib/lp/translations/model/translationtemplatesbuild.py'
--- lib/lp/translations/model/translationtemplatesbuild.py	2012-01-02 11:28:58 +0000
+++ lib/lp/translations/model/translationtemplatesbuild.py	2012-01-02 17:46:27 +0000
@@ -1,4 +1,4 @@
-# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
+# Copyright 2010 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """`TranslationTemplatesBuild` class."""
@@ -18,6 +18,10 @@
     implements,
     )
 
+from canonical.launchpad.components.decoratedresultset import (
+    DecoratedResultSet,
+    )
+from canonical.launchpad.interfaces.lpstorm import IStore
 from lp.buildmaster.model.buildfarmjob import BuildFarmJobDerived
 from lp.code.model.branch import Branch
 from lp.code.model.branchcollection import GenericBranchCollection
@@ -27,8 +31,6 @@
     )
 from lp.registry.model.product import Product
 from lp.services.database.bulk import load_related
-from lp.services.database.decoratedresultset import DecoratedResultSet
-from lp.services.database.lpstorm import IStore
 from lp.translations.interfaces.translationtemplatesbuild import (
     ITranslationTemplatesBuild,
     ITranslationTemplatesBuildSource,
@@ -127,7 +129,7 @@
     @classmethod
     def preloadBuildsData(cls, builds):
         # Circular imports.
-        from canonical.launchpad.database.librarian import LibraryFileAlias
+        from lp.services.librarian.model import LibraryFileAlias
         # Load the related branches, products.
         branches = load_related(
             Branch, builds, ['branch_id'])

